

# Detects if any player is holding the food
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:cookie"}}] cookie_delay 2
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:melon_slice"}}] melon_delay 2
scoreboard players set @a[nbt={SelectedItem:{id:"minecraft:sweet_berries"}}] berry_delay 2

# Run command if player eats the custom item
execute as @a[scores={cookie_delay=1..,cookie_eat=1}] at @s run effect give @s instant_health 3 0 true
execute as @a[scores={melon_delay=1..,melon_eat=1}] at @s run effect give @s instant_health 1 0 true
execute as @a[scores={berry_delay=1..,berry_eat=1}] at @s run effect give @s regeneration 30 0 true
execute as @a[scores={berry_delay=1..,berry_eat=1}] at @s run effect give @s speed 90 0 true

# Reset eat Scoreboard
scoreboard players reset @a[scores={cookie_eat=1..}] cookie_eat
scoreboard players reset @a[scores={melon_eat=1..}] melon_eat
scoreboard players reset @a[scores={berry_eat=1..}] berry_eat

# Constantly remove 1 from the delay
execute as @a[scores={cookie_delay=1..}] unless entity @s[nbt={SelectedItem:{id:"minecraft:cookie"}}] run scoreboard players remove @s cookie_delay 1
execute as @a[scores={melon_delay=1..}] unless entity @s[nbt={SelectedItem:{id:"minecraft:melon_slice"}}] run scoreboard players remove @s melon_delay 1
execute as @a[scores={berry_delay=1..}] unless entity @s[nbt={SelectedItem:{id:"minecraft:sweet_berries"}}] run scoreboard players remove @s berry_delay 1










